<?php
  if(!isset($nombre)) $nombre="";
  if(!isset($apellido1)) $apellido1="";
  if(!isset($apellido2)) $apellido2="";
  if(!isset($nif)) $nif="";
  if(!isset($select1)) $select1=-1;
  if(!isset($numtitulo)) $numtitulo="";
  if(!isset($select2)) $select2=-1;
  if(!isset($empresa)) $empresa="";
  if(!isset($razon)) $razon="";
  if(!isset($cargo)) $cargo="";
  if(!isset($cif)) $cif="";
  if(!isset($direccion)) $direccion="";
  if(!isset($provincia)) $provincia="";
  if(!isset($poblacion)) $poblacion="";
  if(!isset($postal)) $postal="";
  if(!isset($telfijo)) $telfijo="";
  if(!isset($telmovil)) $telmovil="";
  if(!isset($fax)) $fax="";
  if(!isset($email)) $email="";
  if(!isset($observaciones)) $observaciones="";
  if(!isset($usuario)) $usuario="";
  if(!isset($password)) $password="";
  if(!isset($password2)) $password2="";
  if(!isset($protecciondatos)) $protecciondatos=0;
  if(!isset($error)) $error=array();
?>
<SCRIPT language=javascript type=text/javascript>
function mirarprotecciondatos()
{
  if(document.alta.nombre.value=="") {
    alert("Ha d'entrar el nom");
    document.alta.nombre.focus();
  } else if(document.alta.apellido1.value=="") {
    alert("Ha d'entrar el primer cognom");
    document.alta.apellido1.focus();
  } else if(document.alta.apellido2.value=="") {
    alert("Ha d'entrar el segon cognom");
    document.alta.apellido2.focus();
  } else if(document.alta.nif.value=="") {
    alert("Ha d'entrar el N.I.F.");
    document.alta.nif.focus();
  } else if(document.alta.select1.value==-1) {
    alert("Ha d'entrar el tipus");
    document.alta.select1.focus();
  } else if(document.alta.numtitulo.value=="") {
    alert("Ha d'entrar el num. de titol de mediador");
    document.alta.numtitulo.focus();
  } else if(document.alta.select2.value==-1) {
    alert("Ha d'entrar la autorització");
    document.alta.select2.focus();
  } else if(document.alta.direccion.value=="") {
    alert("Ha d'entrar la adreça");
    document.alta.direccion.focus();
  } else if(document.alta.provincia.value=="") {
    alert("Ha d'entrar la provincia");
    document.alta.provincia.focus();
  } else if(document.alta.poblacion.value=="") {
    alert("Ha d'entrar la problacio");
    document.alta.poblacion.focus();
  } else if(document.alta.postal.value=="") {
    alert("Ha d'entrar el codi postal");
    document.alta.postal.focus();
  } else if(document.alta.telfijo.value=="") {
    alert("Ha d'entrar el telefon fixe");
    document.alta.telfijo.focus();
  } else if(document.alta.telmovil.value=="") {
    alert("Ha d'entrar el telefon mobil");
    document.alta.telmovil.focus();
  } else if(document.alta.fax.value=="") {
    alert("Ha d'entrar el numero de fax");
    document.alta.fax.focus();
  } else if(document.alta.email.value=="") {
    alert("Ha d'entrar el e-mail de contacte");
    document.alta.email.focus();
  } else if(document.alta.usuario.value=="") {
    alert("Ha d'entrar el nom d'usuari");
    document.alta.usuario.focus();
  } else if(document.alta.password.value=="" && document.alta.password2.value=="") {
    alert("Ha d'entrar la clau");
    document.alta.password.focus();
  } else if(document.alta.password.value!=document.alta.password2.value) {
    alert("Ha d'entrar la mateixa clau dues vegades");
    document.alta.password.focus();
  } else if(document.alta.observaciones.value=="") {
    alert("Ha d'entrar alguna observació");
    document.alta.observaciones.focus();
  } else if(!document.alta.protecciondatos.checked) {
    alert("Ha d'acceptar la llei de proteccio de dades");
    document.alta.protecciondatos.focus();
  } else {
    document.alta.submit();
  }
}
</SCRIPT>
<table width="100%"  border="0" cellspacing="1" cellpadding="1">
  <tr>
    <td class="verddeu"><p><img src="img/titol6.gif" width="465" height="27"></p></td>
  </tr>

  <tr>
    <td>
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#EEEFF1">
          <td class="docegrana"> <a href="#"><img src="img/icon.gif" width="12" height="8" border="0"></a>Ompli 
            el formulari per rebre m&aacute;s informaci&oacute;.</td>
        </tr>

        <tr>
          <td valign="top">
            <table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
              <tr>
                <td width="31%" valign="top" class="verddeu">
                  <p align="justify">
                    <a href="javascript:history.back();">&lt;&lt;Tornar</a>
                  </p>
                </td>
                <td width="69%" valign="top" class="verddeu">
                  <div align="left"></div>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td height="364" valign="top">          
      <table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
        <tr>
          <td height="719" valign="top" class="verddeu">

          <table width="100%"  border="0" cellpadding="2" cellspacing="2" class="verddeu">
              <?php if(count($error)>0) { ?>
              <tr bgcolor="#990000"> 
                <td valign="top" class="verddeu" colspan="2"> <strong class="verblanc"> 
                  <span class="docegrana"> <a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a> 
                  </span>Errors trobats al formulari </strong> <div align="center" class="verblanc"></div></td>
              </tr>
              <?php for($i=0;$i<count($error);$i++) { ?>
              <tr> 
                <td width="33%" bgcolor="#EEEFF1"> <div align="right"> <b>Error 
                    <?php echo $i+1; ?>:</b> </div></td>
                <td bgcolor="#EEEFF1"> <b> <?php echo $error[$i]; ?> </b> </td>
              </tr>
              <?php } ?>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <?php } ?>
              <tr bgcolor="#990000"> 
                <td valign="top" class="verddeu" colspan="2"> <strong class="verblanc"> 
                  <span class="docegrana"> <a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a> 
                  </span>Dades personals </strong> <div align="center" class="verblanc"></div></td>
              </tr><form name=alta action=inicio.php method=post>
              <input type=hidden name=page value=alta>
              <input type=hidden name=action value=colegiar>
              <input type=hidden name=querystring value=<?php echo $querystring; ?>>
              <tr> 
                <td width="33%" bgcolor="#EEEFF1"> <div align="right"> <b>Nom 
                    :</b> </div></td>
                <td bgcolor="#EEEFF1"> <b> 
                  <input name="nombre" type="text" class="verddeu" size="20" value="<?php echo $nombre; ?>">
                  <span class="Estilo1">* </span> </b> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <b>1er Cognom :</b> 
                  </div></td>
                <td bgcolor="#EEEFF1"> <b> 
                  <input name="apellido1" type="text" class="verddeu" size="20" value="<?php echo $apellido1; ?>">
                  <span class="Estilo1">* </span> </b> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <b>2on Cognom :</b> 
                  </div></td>
                <td bgcolor="#EEEFF1"> <b> 
                  <input name="apellido2" type="text" class="verddeu" size="20" value="<?php echo $apellido2; ?>">
                  <span class="Estilo1">* </span> </b> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <b>N.I.F :</b> </div></td>
                <td width="67%" bgcolor="#EEEFF1"> <b> 
                  <input name="nif" type="text" class="verddeu" size="20" value="<?php echo $nif; ?>">
                  <span class="Estilo1">* </span> </b> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <strong>Tipus:</strong> 
                  </div></td>
                <td bgcolor="#EEEFF1"> <strong> 
                  <select name="select1" class="verddeu">
                    <option <?php if($select1==-1) echo "selected"; ?> value=-1>Seleccioni 
                    una opcio</option>
                    <option <?php if($select1==0) echo "selected"; ?> value=0>Agent</option>
                    <option <?php if($select1==1) echo "selected"; ?> value=1>Corredor</option>
                    <option <?php if($select1==2) echo "selected"; ?> value=2>Agencia</option>
                    <option <?php if($select1==3) echo "selected"; ?> value=3>Corredoria</option>
                    <option <?php if($select1==4) echo "selected"; ?> value=4>Altres</option>
                  </select>
                  </strong> <span class="Estilo1">* </span> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <b> N&ordm; de T&iacute;tol 
                    de Mediador :</b> </div></td>
                <td bgcolor="#EEEFF1"> <b> 
                  <input name="numtitulo" type="text" class="verddeu" value="<?php echo $numtitulo; ?>">
                  <span class="Estilo1">* </span> </b> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"> <div align="right"> <b> <strong>Autoritzaci&oacute; 
                    de la :</strong></b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <select name="select2" class="verddeu">
                    <option value=-1 <?php if($select2==-1) echo "selected"; ?>>Seleccioni 
                    una opcio</option>
                    <option value=0 <?php if($select2==0) echo "selected"; ?>>DGS, 
                    Ministerio de Econom&iacute;a y Hacienda</option>
                    <option value=1 <?php if($select2==1) echo "selected"; ?>>DGPFA, 
                    Generalitat de Catalunya</option>
                    <option value=2 <?php if($select2==2) echo "selected"; ?>>En 
                    tr&agrave;mit</option>
                    <option value=3 <?php if($select2==3) echo "selected"; ?>>Sense 
                    autoritzaci&oacute;</option>
                  </select>
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr bgcolor="#990000"> 
                <td colspan="2"><strong class="verblanc"><span class="docegrana"><a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a></span>Dades 
                  persona jur&iacute;dica </strong></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Nom de l'empresa :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="empresa" type="text" class="verddeu" size="20" value="<?php echo $empresa; ?>">
                  </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b> C&agrave;rrec a l'empresa 
                    :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="cargo" type="text" class="verddeu" size="20" value="<?php echo $cargo; ?>">
                  </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>C.I.F :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="cif" type="text" class="verddeu" size="20" value="<?php echo $cif; ?>">
                  </b></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr bgcolor="#990000"> 
                <td colspan="2"><strong class="verblanc"><span class="docegrana"><a href="#"><img src="img/icon5.gif" width="12" height="8" border="0"></a></span>Dades 
                  profesionals</strong></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Adre&ccedil;a :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="direccion" type="text" class="verddeu" size="20" value="<?php echo $direccion; ?>">
                  </b><span class="Estilo1">* </span> </td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Prov&iacute;ncia :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="provincia" type="text" class="verddeu" size="20" value="<?php echo $provincia; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b> Poblaci&oacute; :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="poblacion" type="text" class="verddeu" size="20" value="<?php echo $poblacion; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Codi postal :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="postal" type="text" class="verddeu" size="20" value="<?php echo $postal; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b> Tel&egrave;fon fix 
                    :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="telfijo" type="text" class="verddeu" size="20" value="<?php echo $telfijo; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Tel&egrave;fon m&ograve;bil 
                    :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="telmovil" type="text" class="verddeu" size="20" value="<?php echo $telmovil; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>Fax :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="fax" type="text" class="verddeu" size="20" value="<?php echo $fax; ?>">
                  <span class="Estilo1">* </span> </b></td>
              </tr>
              <tr> 
                <td bgcolor="#EEEFF1"><div align="right"><b>E-Mail :</b></div></td>
                <td bgcolor="#EEEFF1"><b> 
                  <input name="email" type="text" class="verddeu" size="25" value="<?php echo $email; ?>">
                  </b><span class="Estilo1">* </span></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr bgcolor="#EEEFF1"> 
                <td colspan="2"><div align="center"><b><span class="Estilo1">* 
                    </span>Observacions:</b></div></td>
              </tr>
              <tr bgcolor="#EEEFF1"> 
                <td colspan="2"><div align="center"><b> 
                    <textarea name="observaciones" cols="60" rows="4" class="verddeu"><?php echo $observaciones; ?></textarea>
                    </b></div></td>
              </tr>
              <tr bgcolor="#EEEFF1"> 
                <td colspan="2"><div align="center"> 
                    <div align="center"><font size="1" face="Verdana, Arial, Helvetica, sans-serif" color="#666666"> 
                      <input type="checkbox" name="protecciondatos" <?php if($protecciondatos) echo "checked"; ?>>
                      Accepto (llei de protecci&oacute; de dades) </font> 
                      <p align="center">Amb l'enivament de la seva conformitat, 
                        ens autoritza a: Tractar la informaci&oacute; facilitada 
                        per vost&eacute;, segons la "Ley de Servicios de la Sociedad 
                        de la informaci&oacute;n y de Comercio Electr&oacute;nico 
                        (LSSI-CE)" Lley org&aacute;nica 15 13/12/1999 de protecci&oacute; 
                        de dades . <a href="http://www.lssi.es/"> (veure lley) 
                        </a></p>
                    </div>
                  </div></td>
              </tr>
              <tr> 
                <td colspan="2"><div align="center"><b> 
                    <input name="Submit4" type="button" class="verddeu" value="Enviar" onclick="javascript:mirarprotecciondatos();">
                    <input name="Submit22" type="reset" class="verddeu" value="Restablecer">
                    </b></div></td>
              </tr>
            </table>                </td>
              </form>
              </tr>
          </table>
          <br>
          <a href="javascript:history.back();" class="verddeu">&lt;&lt;Tornar</a></td>
      </tr>
    </table>
